Name:           json
Version:        3.12.0
Release:        %mkrel 1
Summary:        JSON for Modern C++
License:        MIT
Group:          Development/C++
## Not installed
# test/catch.hpp: Boost Software License, Version 1.0
URL:            https://github.com/nlohmann/json
Source0:        https://github.com/nlohmann/json/archive/v%{version}/%{name}-%{version}.tar.gz
# Header only pkg
BuildArch:      noarch

BuildRequires:  cmake

%description
This is a packages version of the nlohmann/json header-only C++
library available at Github.

%package devel
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Provides:       nlohmann_json-devel = %{version}-%{release}
Requires:       libstdc++-devel

%description devel
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake -DJSON_MultipleHeaders=ON
%cmake_build

%install
%cmake_install

ln -s nlohmann/%{name}.hpp %{buildroot}%{_includedir}/%{name}.hpp

%files devel
%doc README.md
%license LICENSE.MIT
%{_includedir}/nlohmann/
%{_includedir}/%{name}.hpp
%{_datadir}/cmake/nlohmann_json/
%{_datadir}/pkgconfig/nlohmann_json.pc


%changelog
* Fri Apr 11 2025 daviddavid <daviddavid> 3.12.0-1.mga10
+ Revision: 2174671
- new version: 3.12.0

* Sun Mar 03 2024 daviddavid <daviddavid> 3.11.3-1.mga10
+ Revision: 2047405
- new version: 3.11.3
- make it noarch as it should (mga#32449)

* Mon Oct 03 2022 joequant <joequant> 3.11.2-1.mga9
+ Revision: 1894418
- update to 3.11.2

* Wed Mar 23 2022 danf <danf> 3.9.1-2.mga9
+ Revision: 1822837
- Add patch to handle glibc making SIGSTKSZ dynamic

* Sat Sep 05 2020 daviddavid <daviddavid> 3.9.1-1.mga8
+ Revision: 1622450
- new version: 3.9.1

* Tue Jul 21 2020 wally <wally> 3.8.0-2.mga8
+ Revision: 1607621
- build with new cmake macros

* Wed Jun 24 2020 daviddavid <daviddavid> 3.8.0-1.mga8
+ Revision: 1599105
- new version: 3.8.0

* Thu Feb 20 2020 umeabot <umeabot> 3.7.3-2.mga8
+ Revision: 1546031
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 3.7.3-1.mga8
+ Revision: 1485768
- new version: 3.7.3
+ wally <wally>
- build with new cmake macros

* Tue Nov 12 2019 daviddavid <daviddavid> 3.7.2-1.mga8
+ Revision: 1459368
- new version: 3.7.2

* Thu Mar 21 2019 daviddavid <daviddavid> 3.6.1-1.mga7
+ Revision: 1379442
- new version: 3.6.1

* Tue Nov 06 2018 zezinho <zezinho> 3.4.0-1.mga7
+ Revision: 1328708
- fix Group
- imported package json


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 3-5
- Fix javadoc install path.

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 3-4
- Adapt to current guidelines.

* Wed Apr 28 2010 Alexander Kurtakov <akurtako@redhat.com> 3-3
- Add osgi manifest.

* Thu Jul 30 2009 Andrew Overholt <overholt@redhat.com> 3-2
- Update summary/description.
- Resolves bug #511007.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Andrew Overholt <overholt@redhat.com> 2-1
- Some cleanups for Fedora (license, version, tabs vs. spaces).
- Remove maven POM file of unknown origin.
- Use APL-licensed source zip.

* Fri Jan 23 2009 Ralph Apel <r.apel at r-apel.de> 0:20080425-1.jpp5
- First release
